import contextlib
import unittest
import io
import unittest.mock
from unittest import TextTestRunner

class MainTest(unittest.TestCase):

    def test_answer(self):

        capturedOutput = io.StringIO()                 
        sys.stdout = capturedOutput                     
        flip(0)
        sys.stdout = sys.__stdout__ 
        output = capturedOutput.getvalue().strip()
        self.assertEqual(output, '1.0')

        capturedOutput = io.StringIO()                 
        sys.stdout = capturedOutput                     
        flip(1)
        sys.stdout = sys.__stdout__ 
        output = capturedOutput.getvalue().strip()
        self.assertEqual(output, '2.0')

        capturedOutput = io.StringIO()                 
        sys.stdout = capturedOutput                     
        flip(2)
        sys.stdout = sys.__stdout__ 
        output = capturedOutput.getvalue().strip()
        self.assertEqual(output, '4.0')

        capturedOutput = io.StringIO()                 
        sys.stdout = capturedOutput                     
        flip(10)
        sys.stdout = sys.__stdout__ 
        output = capturedOutput.getvalue().strip()
        self.assertEqual(output, '1024.0')

test_suite = unittest.TestLoader().loadTestsFromTestCase(MainTest)
with io.StringIO() as buf:
    # run the tests
    with contextlib.redirect_stdout(buf):
        TextTestRunner(stream=buf).run(test_suite)
    # process (in this case: print) the results
    printTest(buf.getvalue())